Upload Redeemable Image

​

Allows a business to upload images for redeemables in bulk by first uploading them to a server or network and then providing the image URL in the API request. The maximum allowed image size is 500 KB.

Headers

  • Set this header to application/json

  • Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".

  • Set this header to application/json

Body

application/json
  • A list of image URLs that need to be uploaded

    Properties: 2

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/api2/dashboard/offers/upload_redeemable_image
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/offers/upload_redeemable_image \
  --request POST \
  --header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
  --header 'Content-Type: application/json' \
  --data '{
  "data": [
    {
      "external_id": "EXTERNAL_ID_GOES_HERE",
      "image_url": "https://www.example.com/image.jpg"
    }
  ]
}'
{
  "results": [
    {
      "external_id": "EXTERNAL_ID_GOES_HERE",
      "success": true,
      "errors": []
    }
  ]
}